<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddBlockedLearnedPatternsReq StructType
 * @subpackage Structs
 */
class AddBlockedLearnedPatternsReq extends APIRequest
{
    /**
     * The blockedLearnedPatterns
     * @var XBlockedLearnedPatterns
     */
    public $blockedLearnedPatterns;
    /**
     * Constructor method for AddBlockedLearnedPatternsReq
     * @uses AddBlockedLearnedPatternsReq::setBlockedLearnedPatterns()
     * @param XBlockedLearnedPatterns $blockedLearnedPatterns
     */
    public function __construct(XBlockedLearnedPatterns $blockedLearnedPatterns = null)
    {
        $this
            ->setBlockedLearnedPatterns($blockedLearnedPatterns);
    }
    /**
     * Get blockedLearnedPatterns value
     * @return XBlockedLearnedPatterns|null
     */
    public function getBlockedLearnedPatterns()
    {
        return $this->blockedLearnedPatterns;
    }
    /**
     * Set blockedLearnedPatterns value
     * @param XBlockedLearnedPatterns $blockedLearnedPatterns
     * @return AddBlockedLearnedPatternsReq
     */
    public function setBlockedLearnedPatterns(XBlockedLearnedPatterns $blockedLearnedPatterns = null)
    {
        $this->blockedLearnedPatterns = $blockedLearnedPatterns;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddBlockedLearnedPatternsReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
